Subject: Re: [PATCH net-next-2.6 v2 1/1] can: c_can: Added support for Bosch C_CAN controller

From: Wolfgang Grandegger <[email-masked]>
Date: Thu, 16 Dec 2010 18:53:58 +0100

On 12/16/2010 01:09 PM, Tomoya MORINAGA wrote:
> On Thursday, December 16, 2010 6:11 PM, Wolfgang Grandegger wrote:
> 
>> Ah, oh, I just realized that the register layout is almost identical to
>> the recently accepted *pch_can* driver. Tomoya, does pch_can use a c_can
>> core? Well, then it makes really sense to have a generic c_can driver
>> for the SPEAR, PCH, etc. Board specific details are handled via platform
>> definition. This driver already provides that functionality, IFAICS.
> 
> Hi Wolfgang,
> 
> It seems pch_can similar to c_can.
> However, sorry, I don't know if pch_can core is the same as c_can since
> LSI is provided by Intel.
> If necessary, please contact to Intel.

You could also try to use that driver. I'm rather sure that it does work
on your hardware as well.

Wolfgang.